package com.yuchen.saas.consumer.api.feign;

import com.yuchen.saas.consumer.api.entity.*;
import org.nest.springwrap.core.tool.api.R;
import org.springframework.stereotype.Component;

/**
 * @Author: 张逸飞
 * @Date: 2021年7月14日 15:58:32
 * @Description: 微信模版消息接口
 */
@Component
public class WeChatTempMessageClientFallback implements WeChatTempMessageClient {
    @Override
    public R sendAuditResults(SubMsgAuditResultsDTO subMsgAuditResultsDTO) {
        return R.fail("接口调用错误，进入熔断。");
    }

    @Override
    public R sendChargeResults(SubChargeResultsDTO subChargeResultsDTO) {
        return R.fail("发送订阅消息充电结果接口调用错误，进入熔断。");
    }

    @Override
    public R sendChargeWarnMsg(SubChargeWarnDTO subChargeWarnDTO) {
        return R.fail("发送订阅消息充电结果接口调用错误，进入熔断。");
    }

    @Override
    public R sendOccupyEvent(SubOccupyEventDTO subOccupyEventDTO) {
        return R.fail("发送错误！");
    }

    @Override
    public R sendInvoiceNoticeMessage(TempMessageInvoiceNoticeDTO noticeDTO) {
        return R.fail("发送错误！");
    }

    @Override
    public R sendReviewMessage(TempMessageReviewResultDTO reviewResult) {
        return R.fail("发送错误！");
    }

    @Override
    public R sendMonthCardExpiredMessage(TempMessageMonthCardExpiredDTO monthCardExpired) {
        return R.fail("发送错误！");
    }

    @Override
    public R sendRefundSucceed(RefundInform refundInform) {
        return R.fail("发送错误！");
    }

    @Override
    public R sendRefundFailed(RefundInform refundInform) {
        return R.fail("发送错误！");
    }

    @Override
    public R sendParkingPayment(ParkingPayment parkingPayment) {
        return R.fail("发送错误！");
    }

    @Override
    public R sendVehicleExitOut(VehicleExit vehicleExit) {
        return R.fail("发送错误！");
    }

    @Override
    public R sendVehicleExitIn(VehicleExit vehicleExit) {
        return R.fail("发送错误！");
    }

    @Override
    public R getJumpUrl(WeChatSchemeParam param) {
        return R.fail("发送错误！");
    }

    @Override
    public R sendVisitorUser(TempMessageVisitorUserDTO visitorUserDTO) {
        return R.fail("发送错误！");
    }

    @Override
    public R sendVisitorManage(TempMessageVisitorManageDTO visitorManageDTO) {
        return R.fail("发送错误！");
    }

    @Override
    public R sendVisitorMessage(TempVisitorMessageDTO visitorMessageDTO) {
        return R.fail("发送错误！");
    }

    @Override
    public R cancelVisitorMessage(TempVisitorCancelMessageDTO visitorCancelMessageDTO) {
        return R.fail("发送错误！");
    }

    @Override
    public R vehicleBlacklistMessage(TempVehicleBlacklistMessageDTO blacklistMessageDTO) {
        return R.fail("发送错误");
    }

    @Override
    public R occupyBlacklistMessage(TempOccupyBlacklistMessageDTO occupyBlacklistMessageDTO) {
        return R.fail("发送错误");
    }
}
